import { ContainerReflection, DeclarationReflection, NavigationItem, ProjectReflection, Reflection, Renderer, UrlMapping } from 'typedoc';
import { Theme } from 'typedoc/dist/lib/output/theme';
export default class MarkdownTheme extends Theme {
    indexName: string;
    fileExt: string;
    constructor(renderer: Renderer, basePath: string);
    isOutputDirectory(outputDirectory: string): boolean;
    allowedDirectoryListings(): string[];
    getUrls(project: ProjectReflection): UrlMapping[];
    buildUrls(reflection: DeclarationReflection, urls: UrlMapping[]): UrlMapping[];
    applyAnchorUrl(reflection: Reflection, container: Reflection): void;
    toAnchorRef(reflection: Reflection): string;
    getEntryPoint(project: ProjectReflection): ContainerReflection;
    getNavigation(project: ProjectReflection): NavigationItem;
    private onPageEnd;
    static formatContents(contents: string): string;
}
